package com.prolog.cs.biz.inbound.model.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_rcv_headers_src_bills", appendDefaultJdbcType = true, camelToUnderline = true)
public class RcvHeadersSrcBills extends BaseModel implements Serializable {
	private static final long serialVersionUID = 5716340899129486833L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** 收货来源单列表来源单单头ID **/
	@ApiModelProperty(value = "收货来源单列表来源单单头ID")
	private String rcvHeaderSrcBillId;

	/** 单头ID **/
	@ApiModelProperty(value = "单头ID")
	private String rcvHeaderId;

	/** 批准人 **/
	@ApiModelProperty(value = "批准人")
	private String confirmedBy;

	/** 来源单类型(CG XT YC) **/
	@ApiModelProperty(value = "来源单类型(CG XT YC)")
	private String srcHeaderType;

	/** 收货日期 **/
	@ApiModelProperty(value = "收货日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rcvDate;

	/** 收货类型 **/
	@ApiModelProperty(value = "收货类型")
	private String rcvType;

	/** last_updated_name **/
	@ApiModelProperty(value = "last_updated_name")
	private String lastUpdatedName;

	/** 批准人名称 **/
	@ApiModelProperty(value = "批准人名称")
	private String confirmedName;

	/** 批准时间 **/
	@ApiModelProperty(value = "批准时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date confirmDate;

	/** 来源单ID列表 **/
	@ApiModelProperty(value = "来源单ID列表")
	private String srcHeaderId;

	/** 来源单号列表 **/
	@ApiModelProperty(value = "来源单号列表")
	private String srcAutoBillNum;

	/** 来源单ID列表(ASN) **/
	@ApiModelProperty(value = "来源单ID列表(ASN)")
	private String asnHeaderId;

	/** 来源单号列表(ASN) **/
	@ApiModelProperty(value = "来源单号列表(ASN)")
	private String asnAutoBillNum;

	public String getRcvHeaderSrcBillId() {
		return rcvHeaderSrcBillId;
	}

	public void setRcvHeaderSrcBillId(String rcvHeaderSrcBillId) {
		this.rcvHeaderSrcBillId = rcvHeaderSrcBillId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getConfirmedBy() {
		return confirmedBy;
	}

	public void setConfirmedBy(String confirmedBy) {
		this.confirmedBy = confirmedBy;
	}

	public String getSrcHeaderType() {
		return srcHeaderType;
	}

	public void setSrcHeaderType(String srcHeaderType) {
		this.srcHeaderType = srcHeaderType;
	}

	public Date getRcvDate() {
		return rcvDate;
	}

	public void setRcvDate(Date rcvDate) {
		this.rcvDate = rcvDate;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getLastUpdatedName() {
		return lastUpdatedName;
	}

	public void setLastUpdatedName(String lastUpdatedName) {
		this.lastUpdatedName = lastUpdatedName;
	}

	public String getConfirmedName() {
		return confirmedName;
	}

	public void setConfirmedName(String confirmedName) {
		this.confirmedName = confirmedName;
	}

	public Date getConfirmDate() {
		return confirmDate;
	}

	public void setConfirmDate(Date confirmDate) {
		this.confirmDate = confirmDate;
	}

	public String getSrcHeaderId() {
		return srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcAutoBillNum() {
		return srcAutoBillNum;
	}

	public void setSrcAutoBillNum(String srcAutoBillNum) {
		this.srcAutoBillNum = srcAutoBillNum;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}

}
